mgorny added inline comments.

Comment at: lib/Driver/ToolChains.cpp:1446-1463
+          // CURRENT=triple-version
+          if (Line.startswith("CURRENT=")) {
+            const std::pair<StringRef, StringRef> ActiveVersion =
+              Line.substr(8).rsplit('-');
+            // Note: Strictly speaking, we should be reading
+            // /etc/env.d/gcc/${CURRENT} now. However, the file doesn't
+            // contain anything new or especially useful to us.
ABataev wrote:
> mgorny wrote:
> > ABataev wrote:
> > > I think it is better to use `llvm::Triple` class here for parsing 
> > > `StringRef::split()`
> > This is not parsing the triple but detaching the version appended to it.
> But still it is better to use some standard infrastructure rather than 
> inventing a new one (with possible bugs, incompatibilities etc.) 
I still don't understand what you want me to do. `llvm::Triple` does not 
support triple + version thingy that is the case here. I don't need to parse 
the triple, just split the version out of it.

cfe-commits mailing list

Reply via email to